<?php

namespace RecruitCrm\LogicMelon\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ApplicationProgress StructType
 * @subpackage Structs
 */
class ApplicationProgress extends AbstractStructBase
{
    /**
     * The sCultureID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sCultureID;
    /**
     * The sAPIKey
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sAPIKey;
    /**
     * The sUsername
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sUsername;
    /**
     * The sPassword
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sPassword;
    /**
     * The sAdvertID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sAdvertID;
    /**
     * The sAdvertCandidateID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sAdvertCandidateID;
    /**
     * The sProgressID
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sProgressID;
    /**
     * The sProgressAsJobOwner
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $sProgressAsJobOwner;
    /**
     * Constructor method for ApplicationProgress
     * @uses ApplicationProgress::setSCultureID()
     * @uses ApplicationProgress::setSAPIKey()
     * @uses ApplicationProgress::setSUsername()
     * @uses ApplicationProgress::setSPassword()
     * @uses ApplicationProgress::setSAdvertID()
     * @uses ApplicationProgress::setSAdvertCandidateID()
     * @uses ApplicationProgress::setSProgressID()
     * @uses ApplicationProgress::setSProgressAsJobOwner()
     * @param string $sCultureID
     * @param string $sAPIKey
     * @param string $sUsername
     * @param string $sPassword
     * @param string $sAdvertID
     * @param string $sAdvertCandidateID
     * @param string $sProgressID
     * @param string $sProgressAsJobOwner
     */
    public function __construct($sCultureID = null, $sAPIKey = null, $sUsername = null, $sPassword = null, $sAdvertID = null, $sAdvertCandidateID = null, $sProgressID = null, $sProgressAsJobOwner = null)
    {
        $this
            ->setSCultureID($sCultureID)
            ->setSAPIKey($sAPIKey)
            ->setSUsername($sUsername)
            ->setSPassword($sPassword)
            ->setSAdvertID($sAdvertID)
            ->setSAdvertCandidateID($sAdvertCandidateID)
            ->setSProgressID($sProgressID)
            ->setSProgressAsJobOwner($sProgressAsJobOwner);
    }
    /**
     * Get sCultureID value
     * @return string|null
     */
    public function getSCultureID()
    {
        return $this->sCultureID;
    }
    /**
     * Set sCultureID value
     * @param string $sCultureID
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationProgress
     */
    public function setSCultureID($sCultureID = null)
    {
        // validation for constraint: string
        if (!is_null($sCultureID) && !is_string($sCultureID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sCultureID, true), gettype($sCultureID)), __LINE__);
        }
        $this->sCultureID = $sCultureID;
        return $this;
    }
    /**
     * Get sAPIKey value
     * @return string|null
     */
    public function getSAPIKey()
    {
        return $this->sAPIKey;
    }
    /**
     * Set sAPIKey value
     * @param string $sAPIKey
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationProgress
     */
    public function setSAPIKey($sAPIKey = null)
    {
        // validation for constraint: string
        if (!is_null($sAPIKey) && !is_string($sAPIKey)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sAPIKey, true), gettype($sAPIKey)), __LINE__);
        }
        $this->sAPIKey = $sAPIKey;
        return $this;
    }
    /**
     * Get sUsername value
     * @return string|null
     */
    public function getSUsername()
    {
        return $this->sUsername;
    }
    /**
     * Set sUsername value
     * @param string $sUsername
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationProgress
     */
    public function setSUsername($sUsername = null)
    {
        // validation for constraint: string
        if (!is_null($sUsername) && !is_string($sUsername)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sUsername, true), gettype($sUsername)), __LINE__);
        }
        $this->sUsername = $sUsername;
        return $this;
    }
    /**
     * Get sPassword value
     * @return string|null
     */
    public function getSPassword()
    {
        return $this->sPassword;
    }
    /**
     * Set sPassword value
     * @param string $sPassword
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationProgress
     */
    public function setSPassword($sPassword = null)
    {
        // validation for constraint: string
        if (!is_null($sPassword) && !is_string($sPassword)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sPassword, true), gettype($sPassword)), __LINE__);
        }
        $this->sPassword = $sPassword;
        return $this;
    }
    /**
     * Get sAdvertID value
     * @return string|null
     */
    public function getSAdvertID()
    {
        return $this->sAdvertID;
    }
    /**
     * Set sAdvertID value
     * @param string $sAdvertID
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationProgress
     */
    public function setSAdvertID($sAdvertID = null)
    {
        // validation for constraint: string
        if (!is_null($sAdvertID) && !is_string($sAdvertID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sAdvertID, true), gettype($sAdvertID)), __LINE__);
        }
        $this->sAdvertID = $sAdvertID;
        return $this;
    }
    /**
     * Get sAdvertCandidateID value
     * @return string|null
     */
    public function getSAdvertCandidateID()
    {
        return $this->sAdvertCandidateID;
    }
    /**
     * Set sAdvertCandidateID value
     * @param string $sAdvertCandidateID
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationProgress
     */
    public function setSAdvertCandidateID($sAdvertCandidateID = null)
    {
        // validation for constraint: string
        if (!is_null($sAdvertCandidateID) && !is_string($sAdvertCandidateID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sAdvertCandidateID, true), gettype($sAdvertCandidateID)), __LINE__);
        }
        $this->sAdvertCandidateID = $sAdvertCandidateID;
        return $this;
    }
    /**
     * Get sProgressID value
     * @return string|null
     */
    public function getSProgressID()
    {
        return $this->sProgressID;
    }
    /**
     * Set sProgressID value
     * @param string $sProgressID
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationProgress
     */
    public function setSProgressID($sProgressID = null)
    {
        // validation for constraint: string
        if (!is_null($sProgressID) && !is_string($sProgressID)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sProgressID, true), gettype($sProgressID)), __LINE__);
        }
        $this->sProgressID = $sProgressID;
        return $this;
    }
    /**
     * Get sProgressAsJobOwner value
     * @return string|null
     */
    public function getSProgressAsJobOwner()
    {
        return $this->sProgressAsJobOwner;
    }
    /**
     * Set sProgressAsJobOwner value
     * @param string $sProgressAsJobOwner
     * @return \RecruitCrm\LogicMelon\StructType\ApplicationProgress
     */
    public function setSProgressAsJobOwner($sProgressAsJobOwner = null)
    {
        // validation for constraint: string
        if (!is_null($sProgressAsJobOwner) && !is_string($sProgressAsJobOwner)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($sProgressAsJobOwner, true), gettype($sProgressAsJobOwner)), __LINE__);
        }
        $this->sProgressAsJobOwner = $sProgressAsJobOwner;
        return $this;
    }
}
